# heatMap

#### new heatMap(selection)

Constructor

Source:
  - chart/heatMap.js, line 87

##### Parameters:

Name | Type | Description
--- | --- | ---
`selection` | `d3.selection` | The chart holder D3 selection.

### Methods

#### (static) colors(_v) → {*}

Colors Getter / Setter

Source:
  - chart/heatMap.js, line 213

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array` | Array of colours used by color scale.

##### Returns:

Type:
  `*`

#### (static) colors(_v) → {*}

Colors Getter / Setter

Source:
  - component/heatMap.js, line 183

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array` | Array of colours used by color scale.

##### Returns:

Type:
  `*`

#### (static) colorScale(_v) → {*}

Color Scale Getter / Setter

Source:
  - chart/heatMap.js, line 201

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 color scale.

##### Returns:

Type:
  `*`

#### (static) colorScale(_v) → {*}

Color Scale Getter / Setter

Source:
  - component/heatMap.js, line 171

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 color scale.

##### Returns:

Type:
  `*`

#### (static) debug(_v) → {*}

Debug Getter / Setter

Source:
  - chart/heatMap.js, line 237

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `boolean` | Show debug log and stats. True/False.

##### Returns:

Type:
  `*`

#### (static) dimensions(_v) → {*}

Dimensions Getter / Setter

Source:
  - chart/heatMap.js, line 153

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Object` | 3D object dimensions.

##### Returns:

Type:
  `*`

#### (static) dimensions(_v) → {*}

Dimensions Getter / Setter

Source:
  - component/heatMap.js, line 123

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Object` | 3D object dimensions.

##### Returns:

Type:
  `*`

#### (static) height(_v) → {*}

Height Getter / Setter

Source:
  - chart/heatMap.js, line 141

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | X3D canvas height in px.

##### Returns:

Type:
  `*`

#### (static) labelPosition(_v) → {*}

Label Position Getter / Setter

Source:
  - chart/heatMap.js, line 225

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `string` | Position ("proximal" or "distal")

##### Returns:

Type:
  `*`

#### (static) width(_v) → {*}

Width Getter / Setter

Source:
  - chart/heatMap.js, line 129

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | X3D canvas width in px.

##### Returns:

Type:
  `*`

#### (static) xScale(_v) → {*}

X Scale Getter / Setter

Source:
  - chart/heatMap.js, line 165

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) xScale(_v) → {*}

X Scale Getter / Setter

Source:
  - component/heatMap.js, line 135

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) yScale(_v) → {*}

Y Scale Getter / Setter

Source:
  - chart/heatMap.js, line 177

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) yScale(_v) → {*}

Y Scale Getter / Setter

Source:
  - component/heatMap.js, line 147

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) zScale(_v) → {*}

Z Scale Getter / Setter

Source:
  - chart/heatMap.js, line 189

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) zScale(_v) → {*}

Z Scale Getter / Setter

Source:
  - component/heatMap.js, line 159

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

## heatMap

#### new heatMap(selection)

Constructor

Source:
  - component/heatMap.js, line 76

##### Parameters:

Name | Type | Description
--- | --- | ---
`selection` | `d3.selection` | The chart holder D3 selection.

### Methods

#### (static) colors(_v) → {*}

Colors Getter / Setter

Source:
  - chart/heatMap.js, line 213

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array` | Array of colours used by color scale.

##### Returns:

Type:
  `*`

#### (static) colors(_v) → {*}

Colors Getter / Setter

Source:
  - component/heatMap.js, line 183

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array` | Array of colours used by color scale.

##### Returns:

Type:
  `*`

#### (static) colorScale(_v) → {*}

Color Scale Getter / Setter

Source:
  - chart/heatMap.js, line 201

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 color scale.

##### Returns:

Type:
  `*`

#### (static) colorScale(_v) → {*}

Color Scale Getter / Setter

Source:
  - component/heatMap.js, line 171

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 color scale.

##### Returns:

Type:
  `*`

#### (static) debug(_v) → {*}

Debug Getter / Setter

Source:
  - chart/heatMap.js, line 237

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `boolean` | Show debug log and stats. True/False.

##### Returns:

Type:
  `*`

#### (static) dimensions(_v) → {*}

Dimensions Getter / Setter

Source:
  - chart/heatMap.js, line 153

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Object` | 3D object dimensions.

##### Returns:

Type:
  `*`

#### (static) dimensions(_v) → {*}

Dimensions Getter / Setter

Source:
  - component/heatMap.js, line 123

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Object` | 3D object dimensions.

##### Returns:

Type:
  `*`

#### (static) height(_v) → {*}

Height Getter / Setter

Source:
  - chart/heatMap.js, line 141

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | X3D canvas height in px.

##### Returns:

Type:
  `*`

#### (static) labelPosition(_v) → {*}

Label Position Getter / Setter

Source:
  - chart/heatMap.js, line 225

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `string` | Position ("proximal" or "distal")

##### Returns:

Type:
  `*`

#### (static) width(_v) → {*}

Width Getter / Setter

Source:
  - chart/heatMap.js, line 129

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | X3D canvas width in px.

##### Returns:

Type:
  `*`

#### (static) xScale(_v) → {*}

X Scale Getter / Setter

Source:
  - chart/heatMap.js, line 165

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) xScale(_v) → {*}

X Scale Getter / Setter

Source:
  - component/heatMap.js, line 135

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) yScale(_v) → {*}

Y Scale Getter / Setter

Source:
  - chart/heatMap.js, line 177

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) yScale(_v) → {*}

Y Scale Getter / Setter

Source:
  - component/heatMap.js, line 147

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) zScale(_v) → {*}

Z Scale Getter / Setter

Source:
  - chart/heatMap.js, line 189

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) zScale(_v) → {*}

Z Scale Getter / Setter

Source:
  - component/heatMap.js, line 159

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`